Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1633555 - Open vSwitch 2.10 package missing in Fedora
Summary: Open vSwitch 2.10 package missing in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvswitch
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Timothy Redaelli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-27 09:41 UTC by Daniel Alvarez Sanchez
Modified: 2018-11-11 18:46 UTC (History)
7 users (show)

Fixed In Version: openvswitch-2.10.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-11 04:00:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Alvarez Sanchez 2018-09-27 09:41:43 UTC
Open vSwitch v2.10 was released in August and there's no such package in Fedora. This is a key component for different projects such as OpenStack.

Comment 1 Flavio Leitner 2018-10-01 21:30:36 UTC
Hi Timothy,

Let's update Rawhide and Beta with 2.10 as we discussed.
fbl

Comment 2 Fedora Update System 2018-10-09 13:42:10 UTC
openvswitch-2.10.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-06116a0f7f

Comment 3 Fedora Update System 2018-10-09 20:03:39 UTC
openvswitch-2.10.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-06116a0f7f

Comment 4 Andre Robatino 2018-11-02 10:02:37 UTC
This package (any version) is not available for i386 in F29. In particular, this makes the MATE desktop uninstallable on i386:

[root@dell-pc ~]# dnf groupinstall mate-desktop-environment
Last metadata expiration check: 0:02:58 ago on Fri 02 Nov 2018 05:46:05 AM EDT.
No match for group package "xorg-x11-drv-omap"
No match for group package "xorg-x11-drv-armsoc"
No match for group package "powerpc-utils"
No match for group package "lsvpd"
Error: 
 Problem: conflicting requests
  - nothing provides openvswitch needed by NetworkManager-ovs-1:1.12.4-1.fc29.i686
[root@dell-pc ~]#

It was not included in the Koji build for openvswitch-2.9.2-6.fc29 or for openvswitch-2.10.0-1.fc29. Is this intentional?

Comment 5 Fedora Update System 2018-11-02 20:28:47 UTC
openvswitch-2.10.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2bdd9b7c6

Comment 6 Fedora Update System 2018-11-03 00:55:43 UTC
openvswitch-2.10.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2bdd9b7c6

Comment 7 Fedora Update System 2018-11-11 04:00:43 UTC
openvswitch-2.10.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Andre Robatino 2018-11-11 18:08:09 UTC
There is some dependency problem in F29 after this was pushed to stable, I'm not sure what's going on. If people with updates-testing enabled don't see this, there must be another u-t package that needs to go to stable.

[root@lenovo-pc ~]# dnf update
Fedora 29 - x86_64 - VirtualBox                 5.9 kB/s | 6.9 kB     00:01    
Failed to synchronize cache for repo 'virtualbox', ignoring this repo.
Last metadata expiration check: 0:50:25 ago on Sun 11 Nov 2018 12:11:17 PM EST.
Dependencies resolved.

 Problem: cannot install both unbound-libs-1.7.3-9.fc29.x86_64 and unbound-libs-1.8.1-1.fc29.x86_64
  - package openvswitch-2.10.0-2.fc29.x86_64 requires libunbound.so.2()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package unbound-libs-1.8.1-1.fc29.x86_64
  - cannot install the best update candidate for package openvswitch-2.9.2-6.fc29.x86_64
================================================================================
 Package             Arch          Version                 Repository      Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 unbound-libs        x86_64        1.7.3-9.fc29            fedora         452 k
Skipping packages with broken dependencies:
 openvswitch         x86_64        2.10.0-2.fc29           updates        1.8 M

Transaction Summary
================================================================================
Skip  2 Packages

Nothing to do.
Complete!
[root@lenovo-pc ~]# dnf --best --allowerasing update
Fedora 29 - x86_64 - VirtualBox                 6.1 kB/s | 6.9 kB     00:01    
Failed to synchronize cache for repo 'virtualbox', ignoring this repo.
Last metadata expiration check: 0:50:33 ago on Sun 11 Nov 2018 12:11:17 PM EST.
Dependencies resolved.
================================================================================
 Package                 Arch        Version                Repository     Size
================================================================================
Removing:
 openvswitch             x86_64      2.9.2-6.fc29           @fedora       5.5 M
Removing dependent packages:
 NetworkManager-ovs      x86_64      1:1.12.4-2.fc29        @updates       60 k

Transaction Summary
================================================================================
Remove  2 Packages

Freed space: 5.5 M
Is this ok [y/N]: N
Operation aborted.
[root@lenovo-pc ~]#

Comment 9 Timothy Redaelli 2018-11-11 18:46:22 UTC
The problem was that, in the meanwhile, unbound-libs was updated to 1.8.0 (with soname 8), but openvswitch was built with the old unbound-libs (with soname 2).

The strange thing is that the previous version of OVS (openvswitch-2.10.0-1.fc29) was build with the new unbound-libs (with soname 8) instead.

I launched a new build of OVS and I checked that it's using the correct unbound-libs version.


Note You need to log in before you can comment on or make changes to this bug.